slepc-3.21.1 2024-04-26
Report Typos and Errors

# EPSGDSetRestart

Sets the number of vectors of the searching space after restarting and the number of vectors saved from the previous iteration.

### Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSGDSetRestart(EPS eps,PetscInt minv,PetscInt plusk)

Logically Collective

### Input Parameters

| eps | - the eigenproblem solver context
| minv | - number of vectors of the searching subspace after restarting
| plusk | - number of vectors saved from the previous iteration

### Options Database Keys

| -eps_gd_minv | - number of vectors of the searching subspace after restarting
| -eps_gd_plusk | - number of vectors saved from the previous iteration

### See Also

EPSGDGetRestart()

### Level

advanced

### Location

src/eps/impls/davidson/gd/gd.c
Index of all EPS routines
Table of Contents for all manual pages
Index of all manual pages